# Syntax

## Create price alert

```
POST /v{version}/users/{userId}/pricealerts
```

### Description

This API endpoint enables you to create a new price alert.

### Parameters

| Type       | Name                           | Description                                                                                                                                 | Schema                                                                                                                                   | Default |
| ---------- | ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------- | ------- |
| **Header** | **Authorization**   *required* | This is the authorization token that you retrieved from the first endpoint (/token).                                                        | string                                                                                                                                   |         |
| **Header** | **Et-App-Key**   *required*    | This is your app’s unique key that can be retrieved from the BO Companies widget in Autoshares Trader.                                      | string                                                                                                                                   |         |
| **Path**   | **userId**   *required*        | This is the internal identifier of the user on whose behalf a new price alert will be created.                                              | integer (int32)                                                                                                                          |         |
| **Path**   | **version**   *required*       | This is the version of the API. Unless you have multiple versions of Autoshares Trader’s API deployed in your environment, leave it at 1.0. | string                                                                                                                                   | `"1"`   |
| **Body**   | **body**   *required*          | This is JSON data that contains information about the new price alert.                                                                      | [PriceAlertEditableModel](/rest-api/trading-api/price-alerts/create-price-alert/pricealerts_createpricealert.md#pricealerteditablemodel) |         |

### Responses

| HTTP Code | Description                                                                                       | Schema                                                                                                                           |
| --------- | ------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **200**   | Successful request, the price alert has been successfully created.                                | [PriceAlertInfoModel](/rest-api/trading-api/price-alerts/create-price-alert/pricealerts_createpricealert.md#pricealertinfomodel) |
| **401**   | The access level of the provided authorization token is not sufficient to perform this operation. | No Content                                                                                                                       |
| **403**   | The provided Et-App-Key is incorrect.                                                             | No Content                                                                                                                       |
| **409**   | The body of the request is lacking one of the required parameters                                 | No Content                                                                                                                       |
| **422**   | A validation error occurred while processing the request.                                         | No Content                                                                                                                       |
| **500**   | Internal server error                                                                             | No Content                                                                                                                       |

### Consumes

* `application/json`
* `text/json`

### Produces

* `application/json`
* `text/json`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-documentation.autoshares.dev/rest-api/trading-api/price-alerts/create-price-alert/pricealerts_createpricealert.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
